<div class="create-blog-container">

    <textarea id="blogEditor"></textarea>
</div>
<div id="MediaGallaryPopup" class="modal vikas-modal" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content" style="border-radius:0;border: 5px solid rgb(48, 167, 255);">
            <div class="modal-header"
                style="background-color: rgb(48, 167, 255); border-radius: 0px; color: rgb(255, 255, 255); cursor: default;">
                <h4 class="modal-title text-center">Media Gallary</h4>
                <button type="button" class="close closeModal" data-dismiss="modal" style="color:#fff;">× </button>
            </div>
            <div class="modal-body scroll">
                <div class="row media-modal">
                    <div class="col-lg-6 mt-2">

                        <button class="btn" (click)="uploadGallary()">Upload
                            file</button> &nbsp;
                        <button class="btn"
                            onclick="Common.InsertImgInEditor($(this).siblings('input[type=file]')[0])">Insert in
                            editor</button> </div>
                    <div class="col-lg-6 mt-2" style="display: flex;">
                        <div class="input-group has-icon">
                            <input id="txtSearch" class="form-control py-2 mr-1" type="text"
                                placeholder="search media with name..">
                            <span class="input-group-append" (click)="SearchClick()">
                                <div class="input-group-text border-0 mt-1 mb-1">
                                    <i class="fa fa-search"></i>
                                </div>
                            </span>
                        </div>
                        &nbsp;
                        <button class="btn" (click)="ClearSearchClick()">Clear Search</button>
                    </div>
                </div><br>
                <app-img-grid [data]="lstMedia">

                </app-img-grid>
                <div *ngIf="PageCount>0" class="page-div-footer">
                    <nav aria-label="Page navigation example">
                        <ul class="pagination">
                            <li (click)="pageClick($event)" attr.data-index="{{(PageNo-1)}}" class="page-item"
                                *ngIf="PageNo>0"><a class="page-link">Previous</a></li>
                            <li [ngClass]="{'active' : i==PageNo}" (click)="pageClick($event)" attr.data-index="{{i}}"
                                class="page-item" *ngFor="let item of [].constructor(PageCount);let i = index"><a
                                    class="page-link">
                                    {{(i+1)}}</a></li>
                            <li (click)="pageClick($event)" attr.data-index="{{(PageNo+1)}}" class="page-item"
                                *ngIf="(PageNo+1)<PageCount"><a class="page-link">Next</a></li>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="SaveRecipePopup" class="modal vikas-modal" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content" style="border-radius:0;border: 5px solid rgb(48, 167, 255);">
            <div class="modal-header"
                style="background-color: rgb(48, 167, 255); border-radius: 0px; color: rgb(255, 255, 255); cursor: default;">
                <h4 class="modal-title text-center">Save Recipe</h4>
                <button type="button" class="close closeModal" data-dismiss="modal" style="color:#fff;">× </button>
            </div>
            <div class="modal-body scroll p-2">

                <div class="input-group mb-2">
                    <input id="txtRecipe" class="form-control py-2 mr-1" type="text" placeholder="Enter recipe name..">

                </div>
                <p class="text-danger recipe-error"></p>
                <button class="btn" style="min-width: 200px;" (click)="SaveClick($event)">Save Recipe</button>
            </div>
        </div>
    </div>
</div>